aboutsummaryrefslogtreecommitdiff
path: root/test/azure-cli/install_bicep.sh
diff options
context:
space:
mode:
authorPaul Yu <paul.d.yu@gmail.com>2022-11-23 23:18:22 +0300
committerGitHub <noreply@github.com>2022-11-23 23:18:22 +0300
commit133b4cf23c6e4d6679940a8806f76877790c7f45 (patch)
tree017c6027e84089f6f99e862dd9c7bc9858e9b3a2 /test/azure-cli/install_bicep.sh
parentc4648ab98cdeeb520e7e629c5db4a471ec802954 (diff)
Optionally install Azure Bicep as part of azure-cli feature (#305)
* Adding azure-cli bicep installer to correctly install on arm64 containers * Adding a few updates following @joshspicer's review.
Diffstat (limited to 'test/azure-cli/install_bicep.sh')
-rw-r--r--test/azure-cli/install_bicep.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/azure-cli/install_bicep.sh b/test/azure-cli/install_bicep.sh
new file mode 100644
index 0000000..955507f
--- /dev/null
+++ b/test/azure-cli/install_bicep.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Check to make sure the user is vscode
+check "user is vscode" whoami | grep vscode
+
+# Bicep-specific tests
+check "bicep" bicep --version
+check "az bicep" az bicep version
+
+# Report result
+reportResults \ No newline at end of file